<?xml version="1.0" encoding="UTF-8"?>
<!--
This file is part of the Scilab time frequency toolbox.
This file must be used under the terms of the  terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
Copyright (c) 1995 Rice University
-->

<refentry xml:id="locfreq" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>locfreq</refname><refpurpose>Frequency localization caracteristics.</refpurpose>
  </refnamediv>



  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      [FM,B]=locfreq(SIG)
    </synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
      <term>SIG:</term>
      <listitem>
        <para>a complex vector</para>
      </listitem>
    </varlistentry>
    <varlistentry>
      <term>FM :</term>
      <listitem>
        <para>a real scalar: the central frequency</para>
      </listitem>
    </varlistentry>
    <varlistentry>
      <term>B :</term>
      <listitem>
        <para>a real scalar: the frequency spreading.</para>
      </listitem>
    </varlistentry>

    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>
    <para>
      locfreq  computes the frequency localization caracteristics of signal SIG.
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[
    z=amgauss(160,80,50);
    [tm,T]=loctime(z),
    [fm,B]=locfreq(z),B*T
    ]]></programlisting>
  </refsection>

  <refsection>
    <title>See also</title>
    <simplelist type="inline">
      <member><link linkend="loctime">loctime</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>H. Nahrstaedt - Aug 2010</member>
      <member>	F. Auger, July 1995.</member>
      <member>	Copyright (c) 1996 by CNRS (France).</member>
    </simplelist>
  </refsection>
</refentry>
